Subject: Re: [PATCH net] Fix u32's systematic failure to free IDR entries for hnodes.

From: Vadim Fedorenko <[email-masked]>
Date: Mon, 4 Nov 2024 21:33:25 +0000

On 04/11/2024 20:26, Alexandre Ferrieux wrote:
> On 04/11/2024 18:00, Pedro Tammela wrote:
>>>
>>> Signed-off-by: Alexandre Ferrieux <[email-masked]>
>>
>> SoB does not match sender, probably missing 'From:' tag
> 
> Due to dumb administrativia at my organization, I am compelled to post from my
> personal gmail accout in order for my posts to be acceptable on this mailing
> list; while I'd like to keep my official address in commit logs. Is it possible ?

Yes, it's possible, the author of commit in your local git should use
email account of company, then git format-patch will generate proper header.

>> Also, this seems to deserve a 'Fixes:' tag as well
> 
> This would be the initial commit:
> 
>   ^1da177e4c3f4 (Linus Torvalds           2005-04-16 15:20:36 -0700   19)
> 
> Is that what you mean ?
> 

you can add
Fixes: 1da177e4c3f4 ("Linux-2.6.12-rc2")

>> 'static inline' is discouraged in .c files
> 
> Why ?
> 
> It could have been a local macro, but an inline has (a bit) better type
> checking. And I didn't want to add it to a .h that is included by many other
> unrelated components, as it makes no sense to them. So, what is the recommendation ?

Either move it to some local header file, or use 'static u32 
handle2id(u32 h)'
and let compiler decide whether to include it or not. But in either
cases use u32 as types to be consistent with other types in the
functions you modify.